Bug 260492 - koconverter shows a dialog in batch mode
Summary: koconverter shows a dialog in batch mode
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-01 23:08 UTC by Jos van den Oever
Modified: 2012-04-21 08:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-17 19:41:15 UTC


---- Reported by jos@vandenoever.info 2009-05-01 23:08:53 ----

Version:            (using KDE 4.2.2)
OS:                Linux
Installed from:    Ubuntu Packages

Running "koconvert --batch mypresentation.odp mypresentation.ppt" shows a dialog  "Could not export file".

oever@x1:~$ koconverter -v
Qt: 4.5.0
KDE: 4.2.2 (KDE 4.2.2)
KOConverter: 2.0 RC1

oever@x1:~$ koconverter --batch x.odp /tmp/x.ppt
koconverter(25572): "*** The conversion failed! ***"



--- Bug imported by faure@kde.org 2010-12-17 19:42  ---

This bug was previously known as bug 191295.

Comment 1 Halla Rempt 2012-04-19 19:14:06 UTC
Git commit bb731f16fdf0e53ea307ca78ba316f34ed157421 by Boudewijn Rempt.
Committed on 19/04/2012 at 21:13.
Pushed by rempt into branch 'master'.

Don't show messagebox when converting in batch mode

Batch mode is batch mode: we don't want any dialog messing up the
conversion queue.

M  +2    -2    libs/main/KoFilterManager.cpp

http://commits.kde.org/calligra/bb731f16fdf0e53ea307ca78ba316f34ed157421
Comment 2 Camilla Boemann 2012-04-21 08:05:38 UTC
Git commit 0d9c377d1a97465952f609d798db4dc1e0705cdc by C. Boemann, on behalf of Boudewijn Rempt.
Committed on 19/04/2012 at 21:13.
Pushed by boemann into branch 'tuneKoUnitAPI'.

Don't show messagebox when converting in batch mode

Batch mode is batch mode: we don't want any dialog messing up the
conversion queue.

M  +2    -2    libs/main/KoFilterManager.cpp

http://commits.kde.org/calligra/0d9c377d1a97465952f609d798db4dc1e0705cdc